--
-- self
-- Class for all self
--
-- @author  Mario
-- @date  25/04/10
--
-- Copyright (C) Mario

warning = {};

function warning.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function warning:load(xmlFile)

    self.warning = {};
    self.warning[1] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.warning.warning1#index"));
    self.warning[2] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.warning.warning2#index"));

end;

function warning:keyEvent(unicode, sym, modifier, isDown)

    if isDown and sym == Input.KEY_space then 
		self.drawwarning = not self.drawwarning;
		setVisibility(self.warning[1], self.drawwarning);
    	setVisibility(self.warning[2], self.drawwarning);
	end;

end;


function warning:update(dt)
end;

function warning:draw()
end;

function warning:onEnter()

end;

function warning:onLeave()
end;

function warning:delete()
end;

function warning:mouseEvent(posX, posY, isDown, isUp, button)
end;